// foci - minimal forth implementation
// Copyright (C) 2025  Clyne Sullivan <clyne@bitgloo.com>
//
// This program is free software: you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// This program is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
// more details.
//
// You should have received a copy of the GNU General Public License along with
// this program.  If not, see <http://www.gnu.org/licenses/>.

#include "foci.h"

#include <stdio.h>
#include <stdlib.h>

static intptr_t dict[8192];

N(bye, "bye", LATEST_INIT) { exit(0); }

int main()
{
    init(dict);
    define(&w_bye);

    for (;;) {
        interpret();
        printf(compiling() ? "compiled <%d>\n" : "ok <%d>\n", foci_depth());
    }

    return 0;
}

void foci_putchar(int ch)
{
    putchar(ch);
}

int foci_getchar(void)
{
    return getchar();
}

